%define gitver %(echo %version | tr _ -)
Name:          jchempaint
Version:       3.3_1210
Release:       1mamba
Summary:       JChemPaint is an editor for 2D molecular structures
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://almost.cubic.uni-koeln.de/cdk/jcp
Source:        https://github.com/downloads/JChemPaint/jchempaint/jchempaint-%{gitver}.jar
Source1:       jchempaint.desktop
Source2:       jchempaint.sh
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: ImageMagick
Requires:      java-runtime

%description
JChemPaint is an editor for 2D molecular structures.

%prep
%setup -q -c -T
jar -xf %{SOURCE0} org/openscience/jchempaint/resources/large-bin/icon_32x32.gif

%build
mv org/openscience/jchempaint/resources/large-bin/icon_32x32.gif jchempaint.gif
convert jchempaint.gif jchempaint.png
	
%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

install -D -m0755 %{SOURCE0} %{buildroot}%{_javadir}/jchempaint.jar
install -D -m0755 %{SOURCE2} %{buildroot}%{_bindir}/jchempaint
install -D -m0644 jchempaint.png %{buildroot}%{_datadir}/pixmaps/jchempaint.png
install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/jchempaint.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/jchempaint
%{_javadir}/jchempaint.jar
%{_datadir}/applications/jchempaint.desktop
%{_datadir}/pixmaps/jchempaint.png

%changelog
* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3_1210-1mamba
- update to 3.3_1210

* Mon Jul 25 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.0.12-1qilnx
- package created by autospec
